Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.tools.upgrade.actions
Class JdbcAction

    java.lang.Object
      oracle.ifs.admin.tools.upgrade.actions.AbstractUpgradeAction
          oracle.ifs.admin.tools.upgrade.actions.JdbcAction

All Implemented Interfaces:
  UpgradeAction

    public abstract class JdbcAction

extends AbstractUpgradeAction

Abstract class for performing JDBC operations.

JDBC connections are created using the DataSource returned by `getDataSource`.

The JDBC connections have auto-commit disabled. Subclasses must explicitly commit to persist changes.

This class is thread-safe when the schema upgrade is performed through the `UpgradeDriverManager` interface.

(Unpublished)

Constructor Summary
`JdbcAction()` Default constructor.

Method Summary
`void` | `analyze()` Subclasses should override `JdbcAction.analyze(Connection)`.
`protected void` | `analyze(java.sql.Connection conn)` Called by `analyze`.
`protected javax.sql.DataSource` | `getDataSource()` Gets the DataSource used to create the JDBC connection.
`protected void` | `postEvent(java.sql.Connection conn, long id, long classid, int eventType, int eventSubtype, long longPayload)` Inserts a row into `odmz_event`, using the specified connection.
`void` | `postUpgrade()` Subclasses should override `JdbcAction.postUpgrade(Connection)`.
`protected void` | `postUpgrade(java.sql.Connection conn)` Called by `postUpgrade`.
`void` | `preUpgrade()` Subclasses should override `JdbcAction.preUpgrade(Connection)`.
`protected void` | `preUpgrade(java.sql.Connection conn)` Called by `preUpgrade`.
`void` | `rollback(boolean downgrade)` Subclasses should override `JdbcAction.rollback(Connection, boolean)`.
`protected void` | `rollback(java.sql.Connection conn, boolean downgrade)` Called by `rollback`.
`void` | `upgrade()` Subclasses should override `JdbcAction.upgrade(Connection)`.
`protected void` | `upgrade(java.sql.Connection conn)` Called by `upgrade`.

Methods inherited from class oracle.ifs.admin.tools.upgrade.actions.AbstractUpgradeAction
`getName, getProperties, getProperty, getUpgradeActionContext, initialize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JdbcAction

    public JdbcAction()

  Default constructor.

  (Unpublished)

Method Detail

### analyze

    public final void analyze()
                       throws IfsException

  Description copied from class: `JdbcAction`
  Subclasses should override `JdbcAction.analyze(Connection)`.

  Specified by:
    `analyze` in interface `UpgradeAction`
  Overrides:
    `analyze` in class `AbstractUpgradeAction`
  Throws:
    `IfsException` - 82101: if the operation fails
  (Unpublished)

### preUpgrade

    public final void preUpgrade()
                          throws IfsException

  Description copied from class: `JdbcAction`
  Subclasses should override `JdbcAction.preUpgrade(Connection)`.

  Specified by:
    `preUpgrade` in interface `UpgradeAction`
  Overrides:
    `preUpgrade` in class `AbstractUpgradeAction`
  Throws:
    `IfsException` - 82102: if the operation fails
  (Unpublished)

### upgrade

    public final void upgrade()
                       throws IfsException

  Description copied from class: `JdbcAction`
  Subclasses should override `JdbcAction.upgrade(Connection)`.

  Specified by:
    `upgrade` in interface `UpgradeAction`
  Overrides:
    `upgrade` in class `AbstractUpgradeAction`
  Throws:
    `IfsException` - 82103: if the operation fails
  (Unpublished)

### postUpgrade

    public final void postUpgrade()
                           throws IfsException

  Description copied from class: `JdbcAction`
  Subclasses should override `JdbcAction.postUpgrade(Connection)`.

  Specified by:
    `postUpgrade` in interface `UpgradeAction`
  Overrides:
    `postUpgrade` in class `AbstractUpgradeAction`
  Throws:
    `IfsException` - 82104: if the operation fails
  (Unpublished)

### rollback

    public final void rollback(boolean downgrade)
                        throws IfsException

  Description copied from class: `JdbcAction`
  Subclasses should override `JdbcAction.rollback(Connection, boolean)`.

  Specified by:
    `rollback` in interface `UpgradeAction`
  Overrides:
    `rollback` in class `AbstractUpgradeAction`
  Parameters:
    `downgrade` - whether the rollback is being performed as part of a downgrade
  Throws:
    `IfsException` - 82105: if the operation fails
  (Unpublished)

### analyze

    protected void analyze(java.sql.Connection conn)
                    throws IfsException,
                           java.sql.SQLException

  Description copied from class: `JdbcAction`
  Called by `analyze`.

  Subclasses should override this method to perform the analysis phase of the upgrade action.

  Parameters:
    `conn` - the JDBC connection
  Throws:
    `IfsException` - if the operation fails
    `java.sql.SQLException` - if the operation fails
  (Unpublished)

### preUpgrade

    protected void preUpgrade(java.sql.Connection conn)
                       throws IfsException,
                              java.sql.SQLException

  Description copied from class: `JdbcAction`
  Called by `preUpgrade`.

  Subclasses should override this method to perform the pre-upgrade phase of the upgrade action.

  Parameters:
    `conn` - the JDBC connection
  Throws:
    `IfsException` - if the operation fails
    `java.sql.SQLException` - if the operation fails
  (Unpublished)

### upgrade

    protected void upgrade(java.sql.Connection conn)
                    throws IfsException,
                           java.sql.SQLException

  Description copied from class: `JdbcAction`
  Called by `upgrade`.

  Subclasses should override this method to perform the upgrade phase of the upgrade action.

  Parameters:
    `conn` - the JDBC connection
  Throws:
    `IfsException` - if the operation fails
    `java.sql.SQLException` - if the operation fails
  (Unpublished)

### postUpgrade

    protected void postUpgrade(java.sql.Connection conn)
                        throws IfsException,
                               java.sql.SQLException

  Description copied from class: `JdbcAction`
  Called by `postUpgrade`.

  Subclasses should override this method to perform the post-upgrade phase of the upgrade action.

  Parameters:
    `conn` - the JDBC connection
  Throws:
    `IfsException` - if the operation fails
    `java.sql.SQLException` - if the operation fails
  (Unpublished)

### rollback

    protected void rollback(java.sql.Connection conn,
                            boolean downgrade)
                     throws IfsException,
                            java.sql.SQLException

  Description copied from class: `JdbcAction`
  Called by `rollback`.

  Subclasses should override this method to rollback the analysis and pre-upgrade phases of the upgrade action.

  Parameters:
    `conn` - the JDBC connection
    `downgrade` - whether the rollback is being performed as part of a downgrade
  Throws:
    `IfsException` - if the operation fails
    `java.sql.SQLException` - if the operation fails
  (Unpublished)

### getDataSource

    protected javax.sql.DataSource getDataSource()
                                          throws IfsException

  Description copied from class: `JdbcAction`
  Gets the DataSource used to create the JDBC connection.

  In this class, returns the DataSource for connecting to the repository. Subclasses can override this method to return a different DataSource.

  Returns:
    the DataSource
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### postEvent

    protected void postEvent(java.sql.Connection conn,
                             long id,
                             long classid,
                             int eventType,
                             int eventSubtype,
                             long longPayload)
                      throws IfsException

  Description copied from class: `JdbcAction`
  Inserts a row into `odmz_event`, using the specified connection.

  Parameters:
    `conn` - the connection
    `id` - the id
    `classid` - the class id
    `eventType` - the event type
    `eventSubtype` - the event sub-type
    `longPayload` - the event payload
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD